Subject: Re: bug#10806: 24.0.93; `cancel-edebug-on-entry': many tiny problems

From: Stefan Monnier <[email-masked]>
Date: Wed, 21 Mar 2012 14:17:56 -0400

> 1. It is a user command, but is has no docstring.
> 2. The user can't find it easily: it doesn't start with "edebug".  I
> needed to consult the source to find it.  Can we at least add
> something like

>   (defalias 'edebug-cancel-edebug-on-entry #'cancel-edebug-on-entry)

Yes.

> 3. The prompt string "Edebug on entry to: " should include the word
> "cancel".

Yes.

> 4. Wouldn't it be better to limit the input to functions that are
> instrumented?

Yes (or we could also consider making edebug-on-entry into a toggle).

Patch welcome for 24.2,

        Stefan